import URL_WITH_VERSION, {IMAGE_PATH} from "../../shared";

export const removeCommon = (first, second) => {
  const spreaded = [...first, ...second];
  return spreaded.filter(el => {
    return !(first.includes(el) && second.includes(el));
  })
};


export const ldTermsOptions = [
  { label: 'SHINC', value: 'SHINC', numVal: 1.000, desc: 'SUN. & HOLIDAYS INCL.' },
  { label: 'SHEX0', value: 'SHEX0', numVal: 1.167, desc: 'SUN. & HOLIDAYS EXCL.' },
  { label: 'SHEX1', value: 'SHEX1', numVal: 1.273, desc: 'SAT. 1200 TO SUN. 2400 EXCL.' },
  { label: 'SHEX2', value: 'SHEX2', numVal: 1.355, desc: 'SAT. 1200 TO MON. 0800 EXCL.' },
  { label: 'SHEX3', value: 'SHEX3', numVal: 1.400, desc: 'FRI. 2400 TO SUN. 2400 EXCL.' },
  { label: 'SHEX4', value: 'SHEX4', numVal: 1.487, desc: 'FRI. 1700 TO SUN. 2400 EXCL.' },
  { label: 'SHEX5', value: 'SHEX5', numVal: 1.500, desc: 'FRI. 2400 TO MON. 0800 EXCL.' },
  { label: 'SHEX6', value: 'SHEX6', numVal: 1.600, desc: 'FRI. 1700 TO MON. 0800 EXCL.' },
  { label: 'FHINC', value: 'FHINC', numVal: 1.000, desc: 'FRI. & HOLIDAYS INCL.' },
  { label: 'FHEX0', value: 'FHEX0', numVal: 1.167, desc: 'FRI. & HOLIDAYS EXCL.' },
  { label: 'THEX6', value: 'THEX6', numVal: 1.600, desc: 'WEDN. 1700 TO SAT. 0800 EXCL.' },
  { label: 'CQD1', valuel: 'CQD1', numVal: 1.000, desc: 'CUSTOMARY QUICK DESPATCH SHINC' },
  { label: 'SHEX7', value: 'SHEX7', numVal: 0.000, desc: 'SAT. 1200 TO MON. 1000 EXCL.' },
  { label: 'FHEX1', value: 'FHEX1', numVal: 1.273, desc: 'FRI. 1200 TO SAT. 2400 EXCL.' },
  { label: 'FHEX2', value: 'FHEX2', numVal: 1.355, desc: 'THU. 1200 TO SAT.0800 & HOLIDAYS EXCL.' },
  { label: 'FHEX6', value: 'FHEX6', numVal: 1.600, desc: 'THU 1700 TO SUN 0800 EXCL.' },
  { label: 'FHEXUU', value: 'FHEXUU', numVal: 0.000, desc: 'FRI. 1201 TO SUN. 0800 UNLESS USED' },
  { label: 'FHEX', valuel: 'FHEX', numVal: 0.000, desc: 'THU 1200 TO SUN 0800 EXCL.' },
  { label: 'THEX', valuel: 'THEX', numVal: 0.000, desc: 'THU 1700 TO SAT 0800 EXCL.' },
  { label: 'FHEX7', value: 'FHEX7', numVal: 0.000, desc: 'FRI 1200 TO SUN 0800 EXCL.' },
]

export const TO_FIXED_2_NUM = 2;
export const EMPTY_2_NUM = 0.00;

export const FECTOR_VAL = {
  vlsfo:	3.001,
  lsmgo:	1.2501,
}

export const DEFAULT_VALUE = {
  speed: 12,
  vlsfo: 20,
  lsmgo: 1,
};

export const addMapLayers = (map) => {
  const geojson = {
    type: "FeatureCollection",
    features: [],
  };

  map.addSource("lineString_source", {
    type: "geojson",
    data: geojson,
  });

  map.addLayer({
    id: "lineString_layer",
    type: "line",
    source: "lineString_source",
    layout: {
      "line-join": "round",
      "line-cap": "round",
    },
    paint: {
      "line-color": "#2414E2",
      
      "line-width": 4,
      "line-dasharray": [0, 1.5],
    },
  });



  map.loadImage(IMAGE_PATH+"icons/marker.png", (error, image) => {
    if (error) throw error;
    // if (!map.hasImage("custom-marker")) {
    //   map.addImage("custom-marker", image);
    // }
    map.addSource("points_source", {
      type: "geojson",
      data: geojson,
    });

    map.addLayer({
      id: "points_layer",
      type: "symbol",
      source: "points_source",
      layout: {
        "icon-image": "custom-marker",
        "icon-size": 0.5,
        "text-field": ["get", "title"],
        "text-font": ["Open Sans Semibold", "Arial Unicode MS Bold"],
        "text-offset": [0, 1.25],
        "text-anchor": "top",
      },
    });
  });
};



export const updateMapLineLayer = ({ map, lineLayerData }) => {
  const geojson = {
    type: "FeatureCollection",
    features: [
      {
        type: "Feature",
        geometry: {
          type: "LineString",
          properties: {},
          coordinates: lineLayerData ? lineLayerData : [],
        },
      },
    ],
  };

  if (map.getSource("lineString_source")) {
    map.getSource("lineString_source").setData(geojson);
  }
};

export const updateMapPointLayer = ({ map, pointLayerData }) => {
  const pointData = {
    type: "FeatureCollection",
    features: pointLayerData ? pointLayerData : [],
  };

  if (map.getSource("points_source")) {
    map.getSource("points_source").setData(pointData);
  }
};

export const routeOptions = [
  "Panama Canal",
  "Suez Canal",
  "Kiel Canal",
  "Northeast Passage",
  "Northwest Passage",
  "Corinth",
  "Gibraltar",
  "Messina",
  "Singapore",
  "Dover",
  "Magellan",
  "Florida Strait",
  "Oresund",
  "Bosphorus",
];

export const piracyoptions = [
  {
    value: "000",
    label: "Latest Piracy Area with JWLA027",
    key: "1",
  },
  {
    value: "001",
    label: "The shortest path",
    key: "2",
  },
  {
    value: "002",
    label: "250nm outer route from Somalia east coast",
    key: "3",
  },
  {
    value: "003",
    label: "600NM outer route from Somalia east coast",
    key: "4",
  },
  {
    value: "004",
    label: "JWLA015(2nd Aug 2010)",
    key: "5",
  },
  {
    value: "005",
    label: "JWLA016(16th Dec 2010)",
    key: "6",
  },
  {
    value: "006",
    label: "JWLA016 Up to Mumbai",
    key: "7",
  },
  {
    value: "007",
    label: "JWLA016 Max Avoid Route",
    key: "8",
  },
  {
    value: "008",
    label: "JWLA023",
    key: "9",
  },
  {
    value: "009",
    label: "JWLA027",
    key: "10",
  },
];


export const canalPassoptions = [
  {
    value: "000",
    label: "Exclude all canals",
    key: "1",
  },
  {
    value: "001",
    label: "Exclude Suez and Panama",
    key: "2",
  },
  {
    value: "010",
    label: "Exclude Suez and Kiel",
    key: "3",
  },
  {
    value: "011",
    label: "Exclude Suez",
    key: "4",
  },
  {
    value: "100",
    label: "Exclude Panama and Kiel",
    key: "5",
  },
  {
    value: "101",
    label: "Exclude Panama",
    key: "6",
  },
  {
    value: "110",
    label: "Exclude Kiel ",
    key: "7",
  },
  {
    value: "111",
    label: "Not exclude canals",
    key: "8",
  },
];

export const defRouteOptions = [
  "Panama Canal",
  "Suez Canal",
  "Kiel Canal",
  "Gibraltar",
  "Messina",
  "Singapore",
  "Dover",
  "Magellan",
  "Florida Strait",
  "Oresund",
  "Bosphorus",
];

export const formItemLayout = {
  labelCol: {
    xs: { span: 24 },
    sm: { span: 10 },
  },
  wrapperCol: {
    xs: { span: 24 },
    sm: { span: 14 },
  },
};


export const tableColumns = [
  { title: "Sr. No.", dataIndex: "serialNumber", width: 80 },
  { title: "Port name", dataIndex: "port_name", width: 100 },
  { title: "Port Id", dataIndex: "PortID", width: 100 },
  { title: "Cross Via", dataIndex: "crossed", width: 150 },
  {
    title: "Distance",
    dataIndex: "distance",
    width: 100,
    isCalculateSum: true,
  },
  { title: "ECA", dataIndex: "eca", width: 100, isCalculateSum: true },
  { title: "SECA", dataIndex: "seca", width: 100, isCalculateSum: true },
  { title: "spd(KT)", dataIndex: "spd", isEditable: true, type: "numberInput" },
  { title: "Sea Days", dataIndex: "seaDays", isCalculateSum: true },
  {
    title: "VLSFO (MT/day)",
    dataIndex: "vlsfoPerDay",
    isEditable: true,
    type: "numberInput",
    isCalculateSum: true,
  },
  {
    title: "LSMGO (MT/d)",
    dataIndex: "lsmgo",
    width: 100,
    isEditable: true,
    type: "numberInput",
    isCalculateSum: true,
  },
  { title: "Sea Cons", dataIndex: "seaCons", width: 100, isCalculateSum: true },
];

export const getCo2ValFormula = ({ seaDays, vlsfoPerDay, lsmgo, portCons }) => {
  seaDays = Number(seaDays);
  vlsfoPerDay = Number(vlsfoPerDay);
  lsmgo = Number(lsmgo);
  portCons = Number(portCons);

  const co2 =
    seaDays * vlsfoPerDay * FECTOR_VAL.vlsfo +
    lsmgo * seaDays * FECTOR_VAL.lsmgo +
    portCons * FECTOR_VAL.lsmgo;
  return Number(co2).toFixed(TO_FIXED_2_NUM);
};

export const initformdata = {
  portsInfo: [],
  localEca:1,
  seca: 1,
  canalOptions:'000',
  piracyArea: '000',
};

export const  getMapPlaceItem = (item) => {
  
  return {
    type: "Feature",
    properties: {
      dataset: item,
      rotation: Number.isNaN(item.degree) ? 0 : Number(item.degree),
      description: "",
      hoverProperties: `
        <div class="hover-content-map-item">
          <div>
            <p class="map_p"><b>Vessel Name: </b><span class="red">${
              item.vessel_name ? item.vessel_name : "NA"
            }</span></p>
            <p class="map_p"><b>Status: </b> <span>${
              item.status ? item.status : "NA"
            }</span></p>
          </div>
          <div>
            <p class="map_p"><b>speed: </b><span>${
              item.speed ? item.speed : "NA"
            }</span></p>
            <p class="map_p"><span style="visibility: hidden;">---</span></p>
          </div>
        </div>
        `,
      icon: "harbor-15",
    },
    geometry: {
      type: "Point",
      coordinates: [
        item.last_pos_lon ? item.last_pos_lon : 0.0,
        item.last_pos_lat ? item.last_pos_lat : 0.0,
      ],
    },
  };
};






 export const eca_polygons = [
  [
    [
      [-64.16, 60],
      [-56.716667, 60],
      [-55.634722, 58.900278],
      [-55.063056, 57.847778],
      [-54.016389, 57.586944],
      [-53.132778, 57.238889],
      [-52.391389, 56.8025],
      [-51.828333, 56.303611],
      [-50.295556, 54.389167],
      [-50.121389, 53.748333],
      [-50.168056, 53.083056],
      [-49.9525, 52.335],
      [-48.879167, 51.572222],
      [-48.267778, 50.670833],
      [-48.1175, 50.041111],
      [-48.159722, 49.400833],
      [-47.921389, 48.656389],
      [-47.782222, 47.406944],
      [-48.015, 46.586667],
      [-48.724444, 45.320833],
      [-49.280556, 44.727222],
      [-49.856389, 44.727222],
      [-50.566944, 43.899167],
      [-51.344722, 43.566389],
      [-52.289444, 43.399722],
      [-53.336944, 43.330556],
      [-54.155556, 43.330556],
      [-55.128056, 43.494722],
      [-55.528889, 42.67],
      [-56.159444, 41.971944],
      [-57.087222, 41.339167],
      [-58.048611, 40.926111],
      [-59.088333, 40.694167],
      [-60.205556, 40.6425],
      [-61.234167, 40.762778],
      [-62.296944, 41.081111],
      [-63.180278, 40.615278],
      [-64.143611, 40.291111],
      [-64.991944, 40.129444],
      [-65.885278, 40.095556],
      [-65.9975, 39.968056],
      [-66.354167, 39.473333],
      [-66.809167, 39.031667],
      [-67.349722, 38.654444],
      [-68.033611, 38.322222],
      [-68.781944, 38.091389],
      [-69.568611, 37.970833],
      [-70.4025, 37.97],
      [-70.630556, 37.879444],
      [-71.1425, 37.310278],
      [-71.566389, 36.540278],
      [-71.433889, 35.582778],
      [-71.617778, 34.552778],
      [-71.876389, 33.913611],
      [-72.286667, 33.323056],
      [-72.901389, 32.758611],
      [-74.200556, 31.920278],
      [-75.255556, 31.453889],
      [-75.855, 31.054444],
      [-76.527222, 30.761667],
      [-77.308056, 30.213333],
      [-76.945, 29.421389],
      [-76.8, 28.616389],
      [-76.669444, 28.286944],
      [-79.189722, 28.286667],
      [-79.476389, 27.882222],
      [-79.527222, 27.433611],
      [-79.571667, 27.270278],
      [-79.582222, 27.198333],
      [-79.588611, 27.099722],
      [-79.588056, 27.007778],
      [-79.5775, 26.921111],
      [-79.574167, 26.899444],
      [-79.544722, 26.762778],
      [-79.539722, 26.741667],
      [-79.538889, 26.727778],
      [-79.533611, 26.686667],
      [-79.525556, 26.636944],
      [-79.518333, 26.608333],
      [-79.513889, 26.589167],
      [-79.512778, 26.580833],
      [-79.510556, 26.569722],
      [-79.504167, 26.52],
      [-79.498056, 26.484722],
      [-79.499444, 26.425278],
      [-79.498611, 26.391389],
      [-79.498333, 26.391389],
      [-79.532222, 26.315833],
      [-79.554722, 26.257222],
      [-79.556389, 26.253611],
      [-79.598056, 26.135833],
      [-79.6025, 26.129722],
      [-79.609722, 26.116389],
      [-79.639444, 26.047778],
      [-79.6675, 25.991667],
      [-79.668889, 25.987778],
      [-79.677222, 25.963333],
      [-79.685, 25.938333],
      [-79.694444, 25.901111],
      [-79.696111, 25.89],
      [-79.699722, 25.865],
      [-79.704444, 25.825833],
      [-79.706389, 25.806667],
      [-79.706667, 25.805556],
      [-79.712222, 25.773889],
      [-79.7125, 25.771111],
      [-79.716389, 25.727778],
      [-79.713333, 25.708611],
      [-79.7075, 25.676944],
      [-79.7075, 25.623333],
      [-79.7075, 25.618889],
      [-79.703333, 25.5175],
      [-79.703056, 25.466389],
      [-79.703333, 25.401111],
      [-79.705556, 25.3725],
      [-79.701111, 25.358056],
      [-79.69, 25.281111],
      [-79.691944, 25.265833],
      [-79.691944, 25.1775],
      [-79.693333, 25.164167],
      [-79.695833, 25.150833],
      [-79.708056, 25.065278],
      [-79.715556, 25.05],
      [-79.734722, 25.008333],
      [-79.746667, 24.984167],
      [-79.765833, 24.924444],
      [-79.823333, 24.738333],
      [-79.827222, 24.717778],
      [-79.847222, 24.71],
      [-79.8825, 24.696389],
      [-79.999444, 24.642222],
      [-80.064167, 24.6075],
      [-80.211944, 24.555],
      [-80.2225, 24.551389],
      [-80.254444, 24.536944],
      [-80.282222, 24.524167],
      [-80.296389, 24.515833],
      [-80.3225, 24.503889],
      [-80.328889, 24.501667],
      [-80.351389, 24.494444],
      [-80.409722, 24.471667],
      [-80.419444, 24.468333],
      [-80.455556, 24.456389],
      [-80.491667, 24.441667],
      [-80.539444, 24.418611],
      [-80.6025, 24.391667],
      [-80.648889, 24.375833],
      [-80.664167, 24.368611],
      [-80.755833, 24.325278],
      [-80.763056, 24.321111],
      [-80.780278, 24.310556],
      [-80.781667, 24.309722],
      [-80.996389, 24.164167],
      [-80.9975, 24.163333],
      [-81.018611, 24.149444],
      [-81.031944, 24.141667],
      [-81.0325, 24.140556],
      [-81.051667, 24.124444],
      [-81.151389, 24.038889],
      [-81.187778, 24],
      [-81.215278, 23.925556],
      [-81.328611, 23.897778],
      [-81.499722, 23.847778],
      [-81.666389, 23.833889],
      [-81.833056, 23.818056],
      [-82.003056, 23.818056],
      [-82.166389, 23.828333],
      [-82.416389, 23.853889],
      [-82.666389, 23.853889],
      [-82.814722, 23.828333],
      [-82.853056, 23.825556],
      [-82.999722, 23.823333],
      [-83.249722, 23.823333],
      [-83.430278, 23.864444],
      [-83.550278, 23.874167],
      [-83.692222, 23.901111],
      [-83.803056, 23.929722],
      [-83.999722, 23.977222],
      [-84.490833, 24.160278],
      [-84.644167, 24.222222],
      [-84.768611, 24.278056],
      [-85, 24.391667],
      [-85.105278, 24.443611],
      [-85.531667, 24.649167],
      [-85.719722, 24.738056],
      [-85.999722, 24.899167],
      [-86.501944, 25.178889],
      [-86.354722, 25.720833],
      [-86.1125, 26.220278],
      [-86.220833, 26.456111],
      [-86.618611, 26.562778],
      [-87.493056, 26.023333],
      [-88.55, 25.706944],
      [-90.494722, 25.781667],
      [-90.784722, 25.744167],
      [-91.880556, 25.861944],
      [-93.066389, 26.295556],
      [-93.564444, 25.998611],
      [-95.6575, 26.008889],
      [-96.808333, 26.009167],
      [-96.924444, 25.975556],
      [-96.978056, 25.970833],
      [-97.031667, 25.966111],
      [-97.085556, 25.961389],
      [-97.139167, 25.956667],
      [-97.146389, 25.956667],
      [-95.743353, 26.932823],
      [-94.74898465815056, 28.254673281840994],
      [-90.77150901397606, 28.909558232914506],
      [-86.1858856317284, 29.106407064685087],
      [-82.95418667083689, 26.689976289569728],

      // [-.96544884874962, 22.44771563626837],
      // [-80.13064165232903, 23.687418694013346],
      [-77.73901570467807, 33.28330562718976],
      [-75.50168565482959, 33.904516993536575],
      [-75.25309342706957, 36.74348835271428],
      [-75.0045011993084, 36.344050951769546],
      [-74.04403765512738, 38.32067129144423],
      [-70.5637464664741, 40.244643012730904],
      [-70.06656201095288, 40.99937666993614],
      [-67.8292319611044, 42.666245262203574],
      [-65.30652991947929, 42.741827721750724],
      [-61.08046204754413, 44.36316592360487],
      [-59.8375009087393, 44.89391185649882],
      [-60.062323552029056, 46.40380983503303],
      [-63.79120696844238, 45.71381085764958],
      [-64.0397991962036, 47.590578591255195],
      [-65.03416810724602, 48.75103359894473],
      [-65.84080524538565, 48.89776694542485],
      [-62.360514056733535, 49.38564153209268],
      [-59.128815095841446, 49.54719982693916],
      [-55.64852390718937, 51.13358009516864],
      [-56.14570836271177, 53.11720775511674],
      [-58.88022286808145, 54.439136633082],
      [-62.360514056733535, 57.49791065136296],
      [-63.354882967777186, 59.193495444644185],
      [-63.603475195538394, 59.320572529695795],
    ],
  ],
  [
    [
      [-153.009167, 22.548333],
      [-153.476667, 23.101389],
      [-154.036667, 23.536389],
      [-154.613333, 23.863056],
      [-155.853611, 24.363611],
      [-156.4575, 24.696389],
      [-157.371389, 24.959167],
      [-157.903611, 25.228056],
      [-158.51, 25.425278],
      [-159.163056, 25.521944],
      [-159.905833, 25.508611],
      [-160.664722, 25.364722],
      [-161.6425, 25.001667],
      [-162.220278, 24.680278],
      [-162.718889, 24.264722],
      [-163.216667, 23.680556],
      [-163.549444, 23.055556],
      [-163.744722, 22.335833],
      [-163.7675, 21.6125],
      [-163.629, 20.923889],
      [-163.320278, 20.226111],
      [-162.896667, 19.650833],
      [-162.343056, 19.161944],
      [-161.320556, 18.654444],
      [-160.641667, 18.508611],
      [-159.938056, 18.491944],
      [-159.235556, 18.178056],
      [-158.948611, 17.521389],
      [-158.508056, 16.901667],
      [-157.990278, 16.430278],
      [-157.293056, 15.999167],
      [-156.351667, 15.676944],
      [-155.371111, 15.626667],
      [-154.776944, 15.729444],
      [-154.218056, 15.925556],
      [-152.819722, 16.774167],
      [-152.008889, 17.561667],
      [-151.506667, 18.504444],
      [-151.371389, 19.046389],
      [-151.329722, 19.579444],
      [-151.382778, 20.128333],
      [-151.526667, 20.645278],
      [-151.997222, 21.485833],
      [-152.523611, 22.116111],
      [-153.009167, 22.548333],
    ],
  ],
  [
    [
      [-117.103056, 32.536111],
      [-117.124722, 32.534444],
      [-117.238889, 32.5275],
      [-117.264722, 32.553611],
      [-117.366944, 32.5725],
      [-117.464722, 32.589722],
      [-117.826111, 32.627222],
      [-118.605833, 31.133056],
      [-121.791389, 30.556944],
      [-123.289444, 31.769722],
      [-123.845556, 32.366111],
      [-124.196389, 32.944167],
      [-124.453333, 33.67],
      [-125.281111, 34.524444],
      [-125.723056, 35.243889],
      [-126.313611, 35.733333],
      [-126.764722, 36.273611],
      [-127.121667, 37.026389],
      [-127.634722, 37.760833],
      [-127.883333, 38.418889],
      [-128.533056, 39.418056],
      [-128.762778, 40.313056],
      [-128.672778, 41.2275],
      [-129.010556, 42.213611],
      [-129.094722, 42.792778],
      [-129.023889, 43.439444],
      [-128.689722, 44.412778],
      [-128.667222, 45.511944],
      [-128.816944, 46.183611],
      [-129.074722, 46.565278],
      [-131.261389, 47.665278],
      [-132.683333, 48.542222],
      [-133.246389, 48.963056],
      [-134.246389, 49.3775],
      [-135.316944, 50.031111],
      [-136.7625, 51.055],
      [-137.698333, 51.901111],
      [-138.337222, 52.753333],
      [-138.676111, 53.488889],
      [-138.814722, 53.6775],
      [-139.543889, 54.229167],
      [-139.938611, 54.657778],
      [-140.929167, 55.338333],
      [-141.605, 56.12],
      [-142.288611, 56.475556],
      [-142.815833, 56.621944],
      [-153.250833, 58.851111],
    ],
  ],
  [
    [
      [-5.009731, 48.4786],
      [-5.072783, 50.081669],
      [-4.014169, 58.599728],
      [-4.001, 61.992228],
      [5.293611, 62.004169],
      [4.958891, 60.791958],
      [6.140278, 58.332778],
      [10.535, 59.444178],
      [12.869119, 55.528625],
      [17.225556, 58.700278],
      [18.661398, 62.673897],
      [22.20362, 65.533333],
      [23.085833, 63.919722],
      [22.330278, 60.423611],
      [27.496678, 60.485569],
      [27.747222, 59.476956],
      [24.620833, 59.470567],
      [23.985556, 56.888358],
      [18.631944, 54.538056],
      [4.386111, 51.988056],
      [-5.009731, 48.4786],
      [-5.072783, 50.081669],
    ],
  ],
  [
    [
      [-67.537222, 17.310278],
      [-67.445833, 19.187222],
      [-65.28, 19.507778],
      [-65.102222, 19.206944],
      [-65.006111, 18.753611],
      [-64.9925, 18.687222],
      [-64.8975, 18.489444],
      [-64.889444, 18.459722],
      [-64.8775, 18.4225],
      [-64.877083, 18.408333],
      [-64.863889, 18.3975],
      [-64.856389, 18.395],
      [-64.838056, 18.393333],
      [-64.828056, 18.396667],
      [-64.816667, 18.403056],
      [-64.799167, 18.407778],
      [-64.783611, 18.405],
      [-64.776944, 18.386944],
      [-64.755556, 18.376944],
      [-64.745, 18.3775],
      [-64.743333, 18.378333],
      [-64.74, 18.376944],
      [-64.728333, 18.3775],
      [-64.726667, 18.375],
      [-64.716111, 18.373611],
      [-64.707778, 18.373889],
      [-64.700833, 18.370833],
      [-64.683333, 18.372778],
      [-64.670833, 18.365833],
      [-64.639722, 18.364167],
      [-64.637778, 18.356111],
      [-64.6425, 18.344167],
      [-64.637222, 18.320833],
      [-64.637778, 18.318611],
      [-64.660556, 18.289722],
      [-64.661389, 18.278611],
      [-64.649444, 18.1925],
      [-64.634167, 18.050556],
      [-64.493056, 18.048889],
      [-64.450556, 18.0475],
      [-64.352222, 18.041667],
      [-64.335556, 18.041944],
      [-64.265833, 18.034167],
      [-64.041389, 18.003333],
      [-64.017778, 17.999444],
      [-63.950278, 17.979722],
      [-63.898333, 17.964167],
      [-63.889167, 17.943889],
      [-63.914722, 17.661111],
      [-63.919444, 17.618889],
      [-63.932222, 17.505833],
      [-63.965833, 17.193333],
      [-63.978056, 17.083333],
      [-63.988333, 16.997222],
      [-67.537222, 17.310278],
    ],
  ],
];
   export const high_risk_area = [
  [
    [
      [-5.009731, 48.4786],
      [-5.072783, 50.081669],
      [-4.014169, 58.599728],
      [-4.001, 61.992228],
      [5.293611, 62.004169],
      [4.958891, 60.791958],
      [6.140278, 58.332778],
      [10.535, 59.444178],
      [12.869119, 55.528625],
      [17.225556, 58.700278],
      [18.661398, 62.673897],
      [22.20362, 65.533333],
      [23.085833, 63.919722],
      [22.330278, 60.423611],
      [27.496678, 60.485569],
      [27.747222, 59.476956],
      [24.620833, 59.470567],
      [23.985556, 56.888358],
      [18.631944, 54.538056],
      [4.386111, 51.988056],
    ],
  ],
  [
    [
      [5.8947, 1.1633],
      [-0.6653, 2.9931],
      [-0.692, 8.5794],
    ],
  ],
  [
    [
      [41.5561, -1.8014],
      [48.6425, -6.6719],
      [60.2203, 10.9122],
      [53.1339, 16.5331],
    ],
  ],
  [
    [
      [68.1431, 23.5917],
      [68.1275, 23.4844],
      [67.435, 23.7128],
      [67.2169, 23.9122],
      [66.8669, 24.6003],
      [66.4156, 24.7206],
      [66.4544, 25.1369],
      [66.2131, 25.2144],
      [65.0147, 25.1158],
      [64.7578, 25.9747],
      [63.7306, 25.1158],
      [63.6047, 25.0311],
      [62.6053, 25.0567],
      [62.3725, 24.8872],
      [61.7089, 24.8195],
      [61.5222, 24.9975],
      [61.6436, 25.1919],
    ],
  ],
];

